## mpd-hits 0.1.1

=== Makefile ===
# This file is part of mpd-hits.
# Copyright (C) 2010 Dmitry Samoyloff.
#
# mpd-hits is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# mpd-hits is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with mpd-hits. If not, see <http://www.gnu.org/licenses/>.

VERSION=$(shell cat VERSION)
DESTDIR=
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man

.PHONY: all clean install uninstall install-man

all: mpd-hits mpd-hits-report

mpd-hits: mpd-hits.in VERSION
	sed "s/@VERSION@/$(VERSION)/" $< > $@
	chmod 755 $@

mpd-hits-report: mpd-hits-report.in VERSION
	sed "s/@VERSION@/$(VERSION)/" $< > $@
	chmod 755 $@

clean:
	rm -f mpd-hits
	rm -f mpd-hits-report

install: 
	install -d -m 0755 $(DESTDIR)$(BINDIR)/
	install -m 0775 mpd-hits $(DESTDIR)$(BINDIR)/mpd-hits
	install -m 0775 mpd-hits-report $(DESTDIR)$(BINDIR)/mpd-hits-report

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/mpd-hits
	rm -f $(DESTDIR)$(BINDIR)/mpd-hits-report

install-man:

=== debian/changelog ===
mpd-hits (0.1.1) unstable; urgency=low

  * Tarball generation fixed.
  * prerm script fixed.

 -- Dmitry Samoyloff <dsamoyloff@yandex.ru>  Sun, 7 May 2010 20:11:00 +0300

mpd-hits (0.1.0) unstable; urgency=low

  * Initial release.

 -- Dmitry Samoyloff <dsamoyloff@yandex.ru>  Sun, 25 Apr 2010 16:46:58 +0300

=== debian/control ===
Source: mpd-hits
Section: utils
Priority: optional
Maintainer: Dmitry Samoyloff <dsamoyloff@yandex.ru>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.0
Homepage: http://mpd-hits.nongnu.org/

Package: mpd-hits
Architecture: all
Depends: ${perl:Depends}, libaudio-mpd-perl, libgetopt-mixed-perl (>= 1.006), libproc-daemon-perl, libproc-pid-file-perl, libsys-syslog-perl, libconfig-simple-perl, libtime-local-perl, libtimedate-perl, libsort-versions-perl, adduser
Description: Collects playback statistics of Music Player Daemon
 mpd-hits is a Perl script collecting playback statistics of Music Player
 Daemon. It can be run either as daemon or as a foreground process. The
 information about played tracks (such as artist, song title, etc) is stored in
 plain text files, so it can be viewed/edited directly and processed easily by
 standard command line tools. Also, statistics can be parsed using a dedicated
 utility mpd-hits-report.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Original note in file auto-generated by dh_make:
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# This file is part of mpd-hits.
# Copyright (C) 2010 Dmitry Samoyloff.
#
# mpd-hits is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# mpd-hits is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with mpd-hits. If not, see <http://www.gnu.org/licenses/>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/mpd-hits.sgml > mpd-hits.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mpd-hits.
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/mpd-hits install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install
	dh_installinit
#	dh_installman
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mpd-hits 0.2.0

=== debian/changelog ===
mpd-hits (0.2.0) unstable; urgency=low

  * mpd-hits-report is fully redesigned.
  * man pages created for mpd-hits and mpd-hits-report.
  * Fixed priority of environment variables over configuration file.
  * Using DateTime::Format::Strptime instead of Date::Parse to parse dates.

 -- Dmitry Samoyloff <dmitry@obscurehalt.org>  Fri, 25 Jun 2010 19:34:00 +0400

## mpd-hits 0.3.0

=== debian/control ===
Source: mpd-hits
Section: utils
Priority: optional
Maintainer: Dmitry Samoyloff <dmitry@obscurehalt.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.0
Homepage: http://mpd-hits.nongnu.org/

Package: mpd-hits
Architecture: all
Depends: ${perl:Depends}, libaudio-mpd-perl, libgetopt-mixed-perl (>= 1.006), libproc-daemon-perl, libproc-pid-file-perl, libsys-syslog-perl, libconfig-simple-perl, libtime-local-perl, libdatetime-format-strptime-perl, libsort-versions-perl, libaudio-flac-header-perl, libogg-vorbis-header-pureperl-perl, libtext-table-perl, adduser
Description: Collects playback statistics of Music Player Daemon
 mpd-hits is a program collecting information about tracks played by Music
 Player Daemon. It can be run either as daemon or as a foreground process. The
 information about played tracks (such as artist, song title, etc) is stored
 in plain text files, so it can be viewed/edited directly and processed easily
 by standard command line tools. Also, statistics can be parsed using a
 dedicated utility mpd-hits-report.
